<?
require '../sys/inc/start.php';
require '../sys/inc/compress.php';
require '../sys/inc/sess.php';
require '../sys/inc/home.php';
require '../sys/inc/settings.php';
require '../sys/inc/db_connect.php';
require '../sys/inc/ipua.php';
require '../sys/inc/fnc.php';
require '../sys/inc/user.php';
$set['title']='Цвет ника';
require '../sys/inc/thead.php';
only_reg();
title();
err();
?>
<div class='fyt'>
<img src='/style/images/left.gif' alt='' class='icon'/> <a href='/'>Старт</a> &raquo <a href='/info.php?id=<?echo $user['id'];?>'><?echo $user['nick'];?></a> &raquo <a href='/pages/servis.php'>Сервисы</a> &raquo Цвет ника
</div>
<?
if (isset($user) & $user['balls']<=300)
{
echo "<div class='err'><u>Данная опция для Вас недоступна!</u><br />
У Вас слишком мало баллов чтобы попасть в меню настроек изменения цвета ника!<br />
Необходимо иметь минимум <b>300</b> баллов<br />
У Bас <img src='/style/images/money.gif' alt='' class='icon'/> <b>$user[balls]</b> баллов</div>\n";
}else{
if(isset($_POST['ncolor'])&& strlen2(mysql_escape_string(esc(stripcslashes(htmlspecialchars($_POST['ncolor'])))))<=300)
{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-300)."' WHERE `id` = '$user[id]' LIMIT 1");
$user['ncolor']=mysql_escape_string(esc(stripcslashes(htmlspecialchars($_POST['ncolor']))));
mysql_query("UPDATE `user` SET `ncolor` = '".htmlspecialchars($_POST['ncolor'])."' WHERE `id` = '$user[id]' LIMIT 1");
$color=mysql_escape_string(esc(stripcslashes(htmlspecialchars($_POST['ncolor']))));
header('Location: ?ok');
}
if(isset($_GET['ok']))
{
msg('Успешно');
}
echo '<div class="infosm">';
echo "Текущий цвет: <span style='color:$user[ncolor]'><b>$user[nick]</b></span><br/>\n";
echo "Стоимость окраски ника <img src='/style/images/money.gif' alt='' class='icon'/> <b>300</b> баллов<br/>\n";
echo "У Bас <img src='/style/images/money.gif' alt='' class='icon'/> <b>$user[balls]</b> баллов\n";
echo '</div>';
echo "<form action='?".SID."' method='post'>\n";
echo "Выберите цвет:<br/>\n";
echo '<select name="ncolor">
<option selected="selected" value="orange" style="background-color: orange; color: black;">оранжевый</option>
<option value="red" style="background-color: red; color: white;">красный</option>
<option value="brown" style="background-color: brown; color: white;">коричневый</option>
<option value="pink" style="background-color: pink; color: white;">Светло-розовый</option>
<option value="#f509fe" style="background-color: #f509fe; color: white;">розовый</option>
<option value="green" style="background-color: green; color: white;">зеленый</option>
<option value="lightgreen" style="background-color: lightgreen; color: white;">светло-зеленый</option>
<option value="#669999" style="background-color: #669999; color: white;">морской волны</option>
<option value="#471b23" style="background-color: #471b23; color: white;">Бурый</option>
<option value="#65a442" style="background-color: #65a442; color: white;">Болотный</option>
<option value="blue" style="background-color: blue; color: white;">синий</option>
<option value="#12177a" style="background-color: #12177a; color: white;">темно-синий</option>
<option value="blueviolet" style="background-color: blueviolet; color: white;">фиолетовый</option>
<option value="yellow" style="background-color: yellow; color: black;">желтый</option>
<option value="goldenrod" style="background-color: goldenrod; color: black;">золотой</option>
<option value="gray" style="background-color: gray; color: black;">темно-серый</option>
<option value="#CCCCCC" style="background-color: #CCCCCC; color: black;">светло-серый</option>
</select>';
echo "<input type='submit' value='Сохранить'></form>\n";
}
?>
<div class='fyt'>
<img src='/style/images/left.gif' alt='' class='icon'/> <a href='/'>Старт</a> &raquo <a href='/info.php?id=<?echo $user['id'];?>'><?echo $user['nick'];?></a> &raquo <a href='/pages/servis.php'>Сервисы</a> &raquo Цвет ника
</div>
<?
require '../sys/inc/tfoot.php';
?>